﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Analog_Clock
{
    public partial class Form1 : Form
    {
      
        public Form1()
        {
            InitializeComponent();
        }
        int center_x, center_y;
        float new_x, new_y;
        float theta_second = 0, theta_minute = 0, theta_hour=0;
        Image hour_hand, minute_hand, second_hand;
        private void Form1_Load(object sender, EventArgs e)
        {
           
           
           
            center_x = this.Width / 2 -10;
            center_y = this.Height / 2-20;

            theta_second = (int)DateTime.Now.Second * 6;
            theta_minute = (int)DateTime.Now.Minute * 6;
            theta_hour = (int)DateTime.Now.Hour * 30 + (int)DateTime.Now.Minute / 2;
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {


            int x = center_x;
            int y = center_y;
            //e.Graphics.Clear(this.BackColor);
            Image face = Properties.Resources.face;
            e.Graphics.DrawImage(face, new Point(center_x-face.Width/2, center_y-face.Height/2));

            second_hand = Properties.Resources.second_hand;
            e.Graphics.TranslateTransform(x, y);
            e.Graphics.RotateTransform(theta_second - 180);
            e.Graphics.TranslateTransform(-x, -y);
            e.Graphics.DrawImage(second_hand, new Point(center_x, center_y));
            second_hand.Dispose();

            minute_hand = Properties.Resources.minute_hand;
            e.Graphics.ResetTransform();
            e.Graphics.TranslateTransform(x, y);
            e.Graphics.RotateTransform(theta_minute - 180);
            e.Graphics.TranslateTransform(-x, -y);
            e.Graphics.DrawImage(minute_hand, new Point(center_x, center_y));
            minute_hand.Dispose();

            hour_hand = Properties.Resources.hour_hand;
            e.Graphics.ResetTransform();
            e.Graphics.TranslateTransform(x, y);
            e.Graphics.RotateTransform(theta_hour - 180);
            e.Graphics.TranslateTransform(-x, -y);
            e.Graphics.DrawImage(hour_hand, new Point(center_x, center_y));
            hour_hand.Dispose();
            //e.Graphics.FillEllipse(Brushes.Black, new Rectangle(center_x - 10, center_y - 10, 25, 25));
        }

        private void Form1_Resize(object sender, EventArgs e)
        {
            center_x = this.Width / 2;
            center_y =this.Height / 2;
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            theta_second = (int)DateTime.Now.Second * 6;
            theta_minute = (int)DateTime.Now.Minute * 6;
            theta_hour = (int)DateTime.Now.Hour * 30 + (int)DateTime.Now.Minute / 2;
            this.Invalidate();
        }
    }
}
